=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/xserver
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
https://xorg.freedesktop.org/releases/individual/xserver/ xwayland-(.*)\.tar\.xz
