## xwayland 22.1.3

=== debian/changelog ===
xwayland (2:22.1.3-0~siduction.1) unstable; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 13 Jul 2022 16:38:55 +0200

xwayland (2:22.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Jun 2022 15:16:00 +0300
