=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+export DEB_BUILD_OPTIONS += noddebs
 
 SUPPORT = https://www.debian.org/support
