=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xwayland
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -20,8 +21,9 @@
  libxshmfence-dev,
  libxv-dev,
  libwayland-dev,
+ libwayland-dev:native,
  mesa-common-dev,
- x11proto-dev,
+ x11proto-dev (>= 2023.2),
  xfonts-utils,
  xtrans-dev,
  wayland-protocols,
