=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: xwayland
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  meson,
  pkg-config,
  quilt,
+ libdecor-0-dev,
  libdrm-dev (>= 2.4.89),
  libepoxy-dev,
  libgcrypt-dev,
