=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xwayland
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,6 +16,7 @@
  libgbm-dev,
  libnvidia-egl-wayland-dev,
  libpixman-1-dev,
+ libtirpc-dev,
  libxcvt-dev,
  libxfont-dev,
  libxkbfile-dev,
