=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
-export DEB_BUILD_OPTIONS += noddebs
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 SUPPORT = https://www.debian.org/support
 
@@ -18,8 +19,6 @@
 
 	rm -rf debian/tmp/usr/lib/*/xorg/protocol.txt
 	rm -f debian/tmp/usr/share/man/man1/Xserver.1
-	# for now
-	rm -f debian/tmp/usr/lib/*/pkgconfig/xwayland.pc 
 
 override_dh_clean:
 	dh_clean
