## xwayland 23.2.7

=== debian/changelog ===
xwayland (3:23.2.7-1towo1) experimental-test; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 08 Jun 2024 17:21:16 +0200

xwayland (3:23.2.6-1towo1) experimental-test; urgency=medium

  * Non-maintainer upload.
  * fixes https://gitlab.freedesktop.org/mesa/mesa/-/issues/11294

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 08 Jun 2024 17:14:19 +0200
