## xwayland 24.1.0

=== debian/changelog ===
xwayland (2:24.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 May 2024 16:57:31 +0300

xwayland (2:24.0.99.901-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 26 Apr 2024 13:27:37 +0300
