## xwayland 24.1.3

=== debian/changelog ===
xwayland (2:24.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Oct 2024 13:13:19 +0300
