## xwayland 24.1.4

=== debian/changelog ===
xwayland (2:24.1.4-3) unstable; urgency=medium

  [ Alessandro Astone ]
  * Add patch to fix possible crash after the previous backport
    (LP: #2096653)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 27 Jan 2025 13:17:11 +0200

xwayland (2:24.1.4-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Backport patch to fix busy-loop on inactive VT (LP: #2043517)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Dec 2024 14:27:57 +0200

xwayland (2:24.1.4-1) unstable; urgency=medium

  * New upstream release
    + CVE-2024-9632: Heap-based buffer overflow privilege escalation in
      _XkbSetCompatMap (closes: #1086244)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Oct 2024 12:01:08 +0200
