=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
  quilt,
  libdecor-0-dev,
  libdrm-dev (>= 2.4.116),
+ libei-dev,
  libepoxy-dev,
  libgcrypt-dev,
  libgbm-dev,
  libnvidia-egl-wayland-dev,
+ liboeffis-dev,
  libpixman-1-dev,
  libtirpc-dev,
  libxcvt-dev,
